package com.muyu.etl.scope;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.concurrent.LinkedBlockingDeque;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskScopeConfig {

    /**
     * 任務ID
     */
    private String taskId;


    private LinkedBlockingDeque taskNodeQueue = new LinkedBlockingDeque();

    public void addTaskNode(Object obj){
        this.taskNodeQueue.add(obj);
    }

    public boolean hashTaskNodeNext(){
        return !taskNodeQueue.isEmpty();
    }

    private <T> T nextTaskNode(){
        return (T) taskNodeQueue.poll();
    }

}
